## VirtualBox-3.0.12-OSE.tar.bz2

=== src/VBox/Additions/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Guest Drivers.
#

#
#
# Copyright (C) 2009 Sun Microsystems, Inc.
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
# Clara, CA 95054 USA or visit http://www.sun.com if you need
# additional information or have any questions.
#

KBUILD_VERBOSE =

all:
	@echo "*** Building 'vboxadd' module ***"
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxadd
	@if [ -f vboxadd/vboxadd.ko ]; then \
	    cp vboxadd/vboxadd.ko .; \
	 else \
	    cp vboxadd/vboxadd.o .; \
	 fi
	@echo
	@if [ -d vboxvfs ]; then \
	    if [ -f vboxadd/Module.symvers ]; then \
	        cp vboxadd/Module.symvers vboxvfs; \
	    fi; \
	    echo "*** Building 'vboxvfs' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs; \
	    if [ -f vboxvfs/vboxvfs.ko ]; then \
	        cp vboxvfs/vboxvfs.ko .; \
	    else \
	        cp vboxvfs/vboxvfs.o .; \
	    fi; \
	fi


install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxadd install
	@if [ -d vboxvfs ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs install; \
	fi

clean:
	@$(MAKE) -C vboxadd clean
	@if [ -d vboxvfs ]; then \
	    $(MAKE) -C vboxvfs clean; \
	fi
	rm -f vboxadd.*o vboxvfs.*o

load:
	@/sbin/rmmod vboxvfs || true
	@/sbin/rmmod vboxadd || true
	@/sbin/insmod vboxadd.ko
	@if [ -f vboxvfs.ko ]; then /sbin/insmod vboxvfs.ko; fi

=== src/VBox/HostDrivers/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Drivers.
#

#
#
# Copyright (C) 2008-2009 Sun Microsystems, Inc.
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
# Clara, CA 95054 USA or visit http://www.sun.com if you need
# additional information or have any questions.
#

KBUILD_VERBOSE =

all:
	@echo "*** Building 'vboxdrv' module ***"
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv
	@cp vboxdrv/vboxdrv.ko .
	@echo
	@if [ -d vboxnetflt ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetflt; \
	    fi; \
	    echo "*** Building 'vboxnetflt' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt; \
	    cp vboxnetflt/vboxnetflt.ko .; \
	    echo; \
	fi
	@if [ -d vboxnetadp ]; then \
	    echo "*** Building 'vboxnetadp' module ***"; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp; \
	    cp vboxnetadp/vboxnetadp.ko .; \
	    echo; \
	fi


install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv install
	@if [ -d vboxnetflt ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt install; \
	fi
	@if [ -d vboxnetadp ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp install; \
	fi

clean:
	@$(MAKE) -C vboxdrv clean
	@if [ -d vboxnetflt ]; then \
	    $(MAKE) -C vboxnetflt clean; \
	fi
	@if [ -d vboxnetadp ]; then \
	    $(MAKE) -C vboxnetadp clean; \
	fi
	rm -f vboxdrv.ko vboxnetflt.ko vboxnetadp.ko

load:
	@for module in vboxnetadp vboxnetflt vboxdrv; do \
		if grep "^$$module " /proc/modules >/dev/null; then \
			echo "Removing previously installed $$module module"; \
			/sbin/rmmod $$module; \
		fi; \
	done
	@for module in vboxdrv vboxnetflt vboxnetadp; do \
		if test -f $$module.ko; then \
			echo "Installing $$module module"; \
			/sbin/insmod $$module.ko; \
		fi; \
	done

=== debian/changelog ===
virtualbox-ose (3.0.12) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Tue, 10 Nov 2009 11:00:00 +0100

virtualbox-ose (3.0.10) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 28 Oct 2009 14:00:00 +0200

virtualbox-ose (3.0.8) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 02 Oct 2009 11:00:00 +0200

virtualbox-ose (3.0.6) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 09 Sep 2009 17:00:00 +0200

virtualbox-ose (3.0.6~beta-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Tue, 01 Sep 2009 18:00:00 +0200

virtualbox-ose (3.0.4) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Tue, 04 Aug 2009 19:00:00 +0200

virtualbox-ose (3.0.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 10 Jul 2009 17:00:00 +0200

virtualbox-ose (3.0.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Tue, 30 Jun 2009 16:00:00 +0200

virtualbox-ose (3.0.0~beta2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 24 Jun 2009 14:00:00 +0200

virtualbox-ose (3.0.0~beta1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Tue, 17 Jun 2009 10:00:00 +0200

virtualbox-ose (3.0.0~alpha) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 10 Jun 2009 10:00:00 +0200

virtualbox-ose (2.2.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Sun, 17 May 2009 20:00:00 +0200

virtualbox-ose (2.2.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 08 Apr 2009 10:00:00 +0200

virtualbox-ose (2.2.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 08 Apr 2009 10:00:00 +0200

virtualbox-ose (2.2.0~beta-2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 27 Mar 2009 18:00:00 +0200

virtualbox-ose (2.2.0~beta-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 17 Mar 2009 18:00:00 +0200

virtualbox-ose (2.1.3~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 22 Jan 2009 10:00:00 +0200

virtualbox-ose (2.1.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 21 Jan 2009 14:00:00 +0200

virtualbox-ose (2.1.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 17 Dec 2008 14:00:00 +0200

virtualbox-ose (2.1.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 17 Dec 2008 11:00:00 +0200

virtualbox-ose (2.0.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 24 Sep 2008 11:00:00 +0200

virtualbox-ose (2.0.4) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 24 Oct 2008 10:00:00 +0200

virtualbox-ose (2.0.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Fri, 12 Sep 2008 10:01:00 +0200

virtualbox-ose (2.0.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 04 Sep 2008 12:01:00 +0200

virtualbox-ose (2.0.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Wed, 03 Sep 2008 15:01:00 +0200

virtualbox-ose (1.6.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Sat, 31 May 2008 09:01:00 +0200

virtualbox-ose (1.6.2) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Sat, 31 May 2008 09:00:00 +0200

virtualbox-ose (1.6.1~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Mon, 05 May 2008 09:00:00 +0200

virtualbox-ose (1.6.0) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Mon, 02 May 2008 09:00:00 +0200

virtualbox-ose (1.5.51~svn-1) unstable; urgency=low

  * rebuild Debian package

 -- Sun Microsystems, Inc. <info@virtualbox.org>  Thu, 23 Oct 2007 21:54:00 +0200

virtualbox-ose (1.5.0+svn+OSE-1) unstable; urgency=low

  * rebuild Debian package

 -- innotek GmbH <info@virtualbox.org>  Thu, 06 Sep 2007 11:51:00 +0200

=== debian/control ===
Source: virtualbox-ose
Section: misc
Priority: optional
Maintainer: Sun Microsystems, Inc. <info@virtualbox.org>
Standards-Version: 3.2.1
Build-Depends: debhelper (>= 5), libz-dev, libssl-dev, libqt4-dev,
  libsdl1.2-dev, uuid-dev, libxcursor-dev, libidl-dev, libpam0g-dev,
  bcc, iasl, xsltproc, linux-headers-generic, wine, java2-runtime,
  lsb-release, g++-multilib [amd64], libc6-dev-i386 [amd64],
  ia32-libs [amd64], libasound-dev, libpulse-dev, libxml2-dev,
  libxslt1-dev, python-dev, gsoap, libcap2-dev, libgl1-mesa-dev,
  libglu1-mesa-dev, libxmu-dev, libxext-dev, libcurl-dev
XS-Python-Version: >= 2.4

Package: virtualbox-ose
Architecture: i386 amd64
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, psmisc, adduser
Recommends: ${alsa}, ${pulse}, ${sdlttf}, ${dkms}, linux-headers, gcc, make, binutils,
  bridge-utils, uml-utilities, libhal1 (>= 0.5), python-central
Description: Sun VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
XB-Python-Version: ${python:Versions}

Package: virtualbox-ose-dbg
Architecture: i386 amd64
Depends: virtualbox-ose (= ${Source-Version})
Description: Sun VirtualBox debugging symbols
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2006-2009 Sun Microsystems, Inc.
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License as published by the Free Software Foundation,
# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
# distribution. VirtualBox OSE is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY of any kind.
#

#export DH_VERBOSE=1
export DH_COMPAT=4

# possible overrides:
#  OSE=1            force VBOX_OSE
#  NOPARALLEL=1     compile with -j1
#  LINUX=<dir>      compile vboxdrv against Linux found in <dir>
#  VERBOSE=1        verbose build
#  DEBUG=1          debug build
#  NOSUBVER=1       disable generation of the sub-version field (which is
#                   either the subversion rev [if available] or the build date)
#  NODOCS=1         don't build docs, use precompiled UserManual.pdf and
#                   VirtualBox.chm from $HOME
#  NOMODS=1         don't build any module
#  NOQT=1           don't build the Qt GUI
#  HEADLESS=1       build the headless version
#  NOWEBSVC=1       don't build the webservice API, default for OSE
#  STAGEDISO=<path> don't build the VBoxAdditions, use the precompiled .iso

package  := virtualbox
verpkg   := virtualbox-ose
current  := $(shell pwd)
vboxroot := $(shell pwd)
pkgdir   := ..
builddir := $(current)/debian/builddir
moddir   := $(current)/debian/modules
prefix   := $(current)/debian/$(verpkg)
arch     := $(shell dpkg --print-architecture)
verfile  := $(builddir)/version-generated.mk
ose      := 1
NOMODS   ?= $(ose)
NOQT     ?= $(HEADLESS)
NOWEBSVC ?= $(ose)
NOWINE   := $(if $(NODOCS),$(if $(STAGEDISO),1,),)$(ose)

ifneq ($(wildcard $(verfile)),)
include $(verfile)
ver      := $(VBOX_VERSION_STRING)
archdir  := $(prefix)/opt/VirtualBox-$(ver)
endif

ifneq ($(STAGEDISO),)
 ifeq ($(wildcard $(STAGEDISO)/VBoxGuestAdditions.iso),)
  $(error STAGEDISO='$(STAGEDISO)/VBoxGuestAdditions.iso' not found)
 endif
endif

# Hack: Xandros is actually Debian/sarge ... :(
ifneq ($(wildcard /etc/xandros-desktop-version),)
 debrel  := _xandros4.1
else
ifneq ($(wildcard /etc/univention),)
 debrel  := _ucs1.3
else
 debrel  := $(if $(shell which lsb_release),_$(shell lsb_release -si)_$(shell lsb_release -sc),unknown)
endif
endif

# shipping Linux kernel modules with bleeding-edge releases doesn't make sense
instmod := $(if $(filter _Ubuntu_karmic _Debian_sid,$(debrel)),,1)

# Locations of custom built Qt libraries (see below)
qtstdc5  := /home/vbox/Qt-4.4.3-stdc++5-$(arch)
qtstdc6  := /home/vbox/Qt-4.4.3-stdc++6-$(arch)

cfg_flags := $(if $(NOQT),--disable-qt,) \
	     $(if $(ose),--ose,) $(if $(LINUX),--with-linux=$(LINUX),) \
	     $(if $(filter _Ubuntu_dapper,$(debrel)),--with-gcc=gcc-3.4 --with-g++=g++-3.4,) \
	     $(if $(filter _Ubuntu_gutsy,$(debrel)),--with-gcc=gcc-4.2 --with-g++=g++-4.2,) \
	     $(if $(filter _xandros4.1 _ucs1.3 _Debian_sarge _Ubuntu_dapper,$(debrel)),--build-libxml2,) \
	     $(if $(filter _xandros4.1 _ucs1.3 _Debian_sarge _Ubuntu_dapper,$(debrel)),--build-libxslt,) \
	     $(if $(filter _Debian_etch,$(debrel)),$(if $(ose),,--build-libcurl),) \
	     $(if $(filter _Debian_sarge _xandros4.1 _ucs1.3,$(debrel)),--with-qt4-dir=$(qtstdc5)) \
	     $(if $(filter _Debian_etch _Ubuntu_dapper _Ubuntu_edgy _Ubuntu_feisty _Ubuntu_gutsy _Ubuntu_hardy,$(debrel)),--with-qt4-dir=$(qtstdc6)) \
	     $(if $(filter _xandros4.1 _ucs1.3,$(debrel)),--disable-sdl-ttf,) \
	     $(if $(filter _Debian_sarge _Ubuntu_dapper _Ubuntu_edgy _xandros4.1 _ucs1.3,$(debrel)),--disable-pulse,) \
	     $(if $(HEADLESS),--build-headless,) \
	     $(if $(DEBUG),--build-debug,) \
	     $(if $(NOWINE),,--setup-wine) \
	     $(if $(NOWEBSVC),,--enable-webservice)

bld_flags := AUTOCFG=$(current)/debian/AutoConfig.kmk \
	     LOCALCFG=$(current)/debian/LocalConfig.kmk \
	     PATH_OUT=$(current)/debian/builddir \
	     VBOX_DO_STRIP= \
	     VBOX_DO_STRIP_MODULES= \
	     VBOX_WITH_MULTIVERSION_PYTHON= \
	     VBOX_PATH_PACKAGE_DOCS="\"/usr/share/doc/$(verpkg)\"" \
	     $(if $(NODOCS),VBOX_WITH_DOCS= ,)\
	     $(if $(VERBOSE),--print-directory KBUILD_VERBOSE=2,--no-print-directory) \
	     $(if $(STAGEDISO),VBOX_WITHOUT_ADDITIONS=1,) \
	     $(if $(filter _Debian_sarge _xandros4.1 _ucs1.3,$(debrel)),VBOX_LD_as_needed= ,) \
	     $(if $(filter _Debian_etch _Ubuntu_hardy,$(debrel)),,VBOX_WITH_SYSFS_BY_DEFAULT=1)

# Ubuntu dapper: gcc-4.0 does not work with recompiler, use gcc-3.4 instead
# Ubuntu gutsy:  gcc-4.1 does not work for the webservices, use gcc-4.2 instead
configure: debian/configure-stamp
debian/configure-stamp:
	dh_testdir
	cd $(vboxroot) && ./configure --odir=$(current)/debian $(cfg_flags)
	touch debian/configure-stamp

build: debian/configure-stamp debian/build-stamp
debian/build-stamp $(verfile):
	dh_testdir
	. debian/env.sh && kmk -C $(vboxroot) $(bld_flags) $(if $(NOPARALLEL),-j1,) all
	$(if $(NODOCS),cp $(vboxroot)/prebuild/UserManual*.pdf $(builddir)/bin,)
	$(if $(NODOCS),cp $(vboxroot)/prebuild/VirtualBox*.chm $(builddir)/bin,)
	mkdir -p $(builddir)/bin/additions
	$(if $(STAGEDISO),cp $(STAGEDISO)/VBoxGuestAdditions.iso $(builddir)/bin/additions,)
	. debian/env.sh && kmk -C $(vboxroot) $(bld_flags) \
	    VBOX_NO_LINUX_RUN_INSTALLER=1 \
	    VBOX_PATH_ADDITIONS.linux.x86=$(builddir)/bin/additions \
	    packing
	touch debian/build-stamp

# Build modules for every kernel we find in /lib/modules/*
modules: debian/build-stamp debian/modules-stamp
debian/modules-stamp: debian/build-stamp
	rm -rf $(moddir)
	mkdir $(moddir)
	make -C $(builddir)/bin/src/vboxdrv clean
	for d in $(wildcard /lib/modules/*); do \
	    if [ -L $$d/build ]; then \
	        make -C $(builddir)/bin/src/vboxdrv KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
	        make -j4 -C $(builddir)/bin/src/vboxdrv KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	        $(if $(instmod),&& install -D -m 0644 -g 0 -o 0 \
	            $(builddir)/bin/src/vboxdrv/vboxdrv.ko $(moddir)/$$(basename $$d)/vboxdrv.ko); \
	        make -C $(builddir)/bin/src/vboxnetflt KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetflt || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxnetflt KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	        $(if $(instmod),&& install -D -m 0644 -g 0 -o 0 \
	            $(builddir)/bin/src/vboxnetflt/vboxnetflt.ko $(moddir)/$$(basename $$d)/vboxnetflt.ko); \
	        make -C $(builddir)/bin/src/vboxnetadp KERN_DIR=$$d/build MODULE_DIR=$$d clean && \
		(cp $(builddir)/bin/src/vboxdrv/Module.symvers $(builddir)/bin/src/vboxnetadp || true) && \
	        make -j4 -C $(builddir)/bin/src/vboxnetadp KBUILD_VERBOSE= KERN_DIR=$$d/build MODULE_DIR=$$d all \
	        $(if $(instmod),&& install -D -m 0644 -g 0 -o 0 \
	            $(builddir)/bin/src/vboxnetadp/vboxnetadp.ko $(moddir)/$$(basename $$d)/vboxnetadp.ko); \
	    fi; \
	done
	make -C $(builddir)/bin/src/vboxdrv clean
	make -C $(builddir)/bin/src/vboxnetflt clean
	make -C $(builddir)/bin/src/vboxnetadp clean
	touch debian/modules-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f debian/preinst debian/postinst
	rm -f debian/$(package).init debian/vboxdrv.init
	rm -f debian/AutoConfig.kmk debian/configure.log debian/env.sh
	rm -f debian/modules-stamp debian/build-stamp debian/configure-stamp
	rm -rf $(builddir) $(moddir)
	dh_clean

ifeq ($(VBOX_VERSION_MAJOR),)
binary binary-arch binary-indep: build $(verfile)
	$(MAKE) -f debian/rules binary
else
# Build architecture-dependent files here.
binary binary-arch binary-indep: build $(if $(NOMODS),,modules)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	tar -xjC $(prefix)/opt -f $(builddir)/bin/VirtualBox.tar.bz2
	install -d -g 0 -o 0 $(prefix)/usr/share/applications
	install -d -g 0 -o 0 $(prefix)/usr/lib
